Page MenuHomePhabricator

Allow non-site-admins to download files per Lua permissioning
Closed, DeclinedPublic

Description

Note that this includes background images site-wide, which may not be referenced by their File namespace urls.
Example: https://zero.wikimedia.org/w/img_auth.php/4/45/Pending.svg

Event Timeline

jhobs assigned this task to Yurik.
jhobs raised the priority of this task from to Needs Triage.
jhobs updated the task description. (Show Details)
jhobs added projects: Zero, ZeroPortal.
jhobs added subscribers: jhobs, DFoy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 6:28 PM
jhobs triaged this task as High priority.May 20 2015, 6:31 PM
jhobs set Security to None.
jhobs moved this task from Backlog to Current items to do on the Zero board.
DFoy lowered the priority of this task from High to Medium.May 21 2015, 11:22 PM
Yurik renamed this task from Modify permissions to allow non-site-admins to download files (including embedded images) to Allow non-site-admins to download files per Lua permissioning.May 29 2015, 6:21 PM
jhobs updated the task description. (Show Details)May 29 2015, 6:23 PM

If this is not completed by launch of Editable IPs page, we can use Base64 encoded images directly in the CSS as a workaround.

DFoy raised the priority of this task from Medium to High.Jun 18 2015, 5:52 PM
Dzahn added a subscriber: Dzahn.Jan 3 2019, 11:30 PM

Declined per T187716#4852639 since there is no more Wikipedia Zero?

Reedy closed this task as Declined.Jan 3 2019, 11:41 PM